ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 4.0

ARMA 3.0 マニュアル(ご参考用)

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

 OSA-2002-31
 
 
 1 サマリ
 
 
 
 
対象システム
ARMA2.0,ARMA2.1
 
 
 
パッケージ
fetchmail
 
 
 
概要
外部から任意コマンド実行の可能性
 
 
 
危険度
2
 
 
 
 
 2 詳細
 
 fetchmail にリモートから任意のコード実行される可能性のある脆弱性が発見されています。
 メイルヘッダ中のドメイン部分を含まないローカルメイルアドレスを、ドメイン部分を含む形式に変換する reply-hack 機能にバグがあり、大量のローカルメイルアドレスがヘッダに存在する場合にバッファオーバーフローが発生することが原因です。詳細な情報は以下の URL をご参照下さい。
 
 
「CAN-2002-1365」 Common Vulnerabilities and Exposures
 
 
 
 
 
 3 対処方法
 
 ARMA 2.x では fetchmail6.2.0-1o1 で上記の問題に対応しています。root権限で下記のコマンドを実行してパッケージのアップデートを行って下さい。
 
 
# apt-get update
# apt-get install fetchmail
 
 
 
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp